<?php
/*
|--------------------------------------------------------------------------
| 更新页
|--------------------------------------------------------------------------
*/
$method = 'update';
include(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'common.php');

$view
//->fetch('#list-desc', 'manage/database.info#update_desc')
# form表单
->fetch('.form1@action',	'manage/database.info#action')

# 基本配置
->fetch('#project@value',		'manage/database.info#project')
->fetch('#table@value',		'manage/database.info#table') 
->fetch('#update_where_id@value',	'manage/database.info#id')
->fetch('#url@value',		'manage/database.info#list')

//->fetch('#desc',		'manage/database.info#updateDesc', 'none')

//->fetch('.dever_update_add', 'manage/database.info#updateMul', 'none')

# 渲染数据
->loop('#content','manage/database.update')

# 数据结构
->fetch('#struct', '/database.info#struct')

# 配置valid
->fetch('#valid','manage/database.valid')

# 配置save
->fetch('#struct@save','manage/database.save')

# 配置按钮
->fetch('#update_button','manage/database.update_button')   

# 配置重复提交
->fetch('#update_button@submit','<{Dever::submit()}>')
#banner
->call('manage/project/database/list:banner') 

->fetch(array('.layui-card@style', 0), '/database.layui_card', 'none')

->fetch('.layui-col-md12@class', '/database.card')


# display
->display();
